Bug 139766 - MySQL tells 'Got error 123 when reading table'
MySQL tells 'Got error 123 when reading table'
Product: Fedora
Classification: Fedora
Component: mysql (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Tom Lane
Depends On: 145251
  Show dependency treegraph
Reported: 2004-11-17 17:01 EST by Robert Scheck
Modified: 2013-07-02 23:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-16 02:21:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2004-11-17 17:01:10 EST
Description of problem:
I get more and more the error 

  041117 22:48:34 [ERROR] Got error 123 when reading table './db/bb1_sessions'

in /var/log/mysqld.log and this error is related with MySQL >= 4.x.
Using MySQL 3.x, I can't reproduce this problem. There are a few 
users I found with Google having the same problem, but there is no 
real solution, except some stupid answers (like upgrading to latest 
official MySQL etc).

Version-Release number of selected component (if applicable):

How reproducible:
Sometimes and hard.

Steps to Reproduce:
a) Run for example WoltLab Burning Board >= 2.0.x
b) http://lists.mysql.com/mysql/174707
Actual results:
Errors in MySQL log and errors running the WoltLab Burning Board for

Expected results:
No errors.

Additional info:
Maybe the problem is related with the table bb1_sessions. The table 
has the format "ENGINE=HEAP" and some unsigned int(11) fields, some 
of these unsigned int(11) fields are KEYs. I dunno, maybe it's 
related, but the problem came up with MySQL 4.x. If you think, the
problem is a Woltlab Burning Board bug, I've got to disappoint you,
it doesn't seem so.

If you think the problem is related with the table and if you want
to have a MySQL dump etc, this bug report has to be marked 
confidential, because WBB isn't open source software :-(
Comment 1 Robert Scheck 2004-11-17 17:37:47 EST
Oh I forgot to say, the browser tells me about the WBB software:

mysql error: Record has changed since last read in table 'bb1_sessions' 
mysql error number: 1020 

And the table contains sessions, but the box has a very low load and 
the sessions table isn't accessed very often - so this also shouldn't 
be a problem...but both error codes are confusing me totally.
Comment 2 Robert Scheck 2004-12-06 08:45:06 EST
Okay, my reported problem is upstream bug #6748 ("Record has changed 
since last read in table ... error on HEAP table"), more information: 
- http://bugs.mysql.com/bug.php?id=6748

This bug will be fixed in 4.1.8, but maybe we can get a backported
patch, because it's a serious problem?!
Comment 3 Robert Scheck 2004-12-10 08:38:43 EST
The patch
would fix this bug report.
Comment 4 Tom Lane 2004-12-10 12:53:55 EST
I looked at the MySQL change history:
and notice that there are quite a number of bug fixes pending for
4.1.8, several of which seem more serious than this one.  Also it
looks like 4.1.8 release is just around the corner.  So I'm inclined
to just wait rather than go to the trouble of patching this single
bug.  I'll try to push out 4.1.8 as soon as it's available.
Comment 5 Robert Scheck 2004-12-18 10:41:43 EST
Okay Tom, MySQL 4.1.8 is now released... :)
Comment 6 Tom Lane 2005-01-16 02:21:11 EST
I've pushed out MySQL 4.1.9 in the devel branch.  Sorry about the delay.

Note You need to log in before you can comment on or make changes to this bug.